complexType "PositiveMoney"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 5 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency, amount?
</...>

Content Model Elements (2):

  amount (defined in PositiveMoney complexType), | currency (defined in MoneyBase complexType)

All Direct / Indirect Based Elements (5):

  minimumExecutionAmount, notionalAmount (defined in FxCashSettlement complexType), notionalAmount (in fxFlexibleForward), | paymentAmount (defined in PositivePayment complexType), principal (in termDeposit)

Known Usage Locations

- As direct type of elements (5):

  minimumExecutionAmount, notionalAmount (defined in FxCashSettlement complexType), notionalAmount (in fxFlexibleForward), | paymentAmount (defined in PositivePayment complexType), principal (in termDeposit)

Annotation
A type defining a positive money amount
Type Definition Detail

Type Derivation Tree MoneyBase (extension) PositiveMoney

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PositiveMoney"> <xsd:complexContent> <xsd:extension base="MoneyBase"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="PositiveDecimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/2)
amount

  Type: | PositiveDecimal, simple content

  The positive monetary quantity in currency units.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="amount" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.